* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Generierung harmonisierter Variablen
* Themenbereich Regionalangaben
* Mikrozensus Scientific Use File 1985

*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: region85.sps
* Version: 5

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
  Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------------   Vorbereitungen   ---------------------------------------------------.

MISSING VALUES ALL ().

COMPUTE jahr=1985.

* Versionsnummer des Moduls 'Regionalangaben'.
COMPUTE vers_reg=5.


*-----------------------------------------------------   Bundesland   -----------------------------------------------------.

COMPUTE land=EF1.


*-----------------------------------------------   Ost-/West-Deutschland   ------------------------------------------------.

COMPUTE wost=1.


*-----------------------------------------------   Gemeindegroessenklasse   -----------------------------------------------.

RECODE EF8 (1,2=1) (3,4=2) (5,6=3) (7 THRU 10=4) (11=7)
   (12,13=6) (14=4) INTO gemgr_1.
EXECUTE.

